﻿/**
 *	MiniBatteryStatus Widget
 *
 *	© Claudio Procida 2005-2008
 *
 *	Disclaimer
 *
 *	The MiniBatteryStatus Widget software (from now, the "Software") and the accompanying materials
 *	are provided “AS IS” without warranty of any kind. IN NO EVENT SHALL THE AUTHOR(S) BE
 *	LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 *	INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 *	IF THE AUTHOR(S) HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The entire risk as to
 *	the results and performance of this software is assumed by you. If the software is
 *	defective, you, and not its author(s), assume the entire cost of all necessary servicing,
 *	repairs and corrections. If you do not agree to these terms and conditions, you may not
 *	install or use this software.
 */

var ARCHIVE_SEND_URL = "http://burgos.emeraldion.it/mbl/send/";
var ARCHIVE_KEY = "adelia";
var ARCHIVE_API_VERSION = "1.1";
var ARCHIVE_ENTRY_URL = "http://burgos.emeraldion.it/mbl/entry/%s";

var Archive = {
	/**
	 *	@method sendData
	 *	@abstract Shares own battery data to the Archive.
	 */
	sendData: function()
	{
		var xmlhttp = new XMLHttpRequest();
		
		var postDict = {
			  		  api_version: ARCHIVE_API_VERSION,
			  		  cycle_count: Plugin.cycleCount(),
				  design_capacity: Plugin.designCapacity(),
				  	  device_name: Plugin.deviceName(),
							 hash: Plugin.serviceUID(),
							  key: ARCHIVE_KEY,
						  machine: Plugin.machineType(),
				     manufacturer: Plugin.manufacturer(),
				 manufacture_date: Plugin.manufactureDate(),
					 max_capacity: Plugin.maxCapacity(),
							model: Plugin.machineType(),
						  voltage: Plugin.voltage()
		};
		
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4)
			{
				if (xmlhttp.status == 200)
				{
					__DEBUG(xmlhttp.responseText);
				}
			}
		};
		xmlhttp.open("POST", ARCHIVE_SEND_URL, true);
		xmlhttp.send(postDict.toQueryString());
	},
	
	/**
	 *	@method ownArchiveEntry
	 *	@abstract Shows the page for own battery entry in the Archive.
	 */
	ownArchiveEntry: function()
	{
		goToUrl(ARCHIVE_ENTRY_URL.sprintf(Plugin.serviceUID()));
	}
};